%define gaim_major_ver %{echo '1.0.2'} 
%define gaim_major_ver %(echo %{gaimver} | sed -e 's/\\([[0-9]]*\\).\\([[0-9]]*\\).\\([[0-9]]*\\)/\\1/' -)
%define gaim_minor_ver %(echo %{gaimver} | sed -e 's/\\([[0-9]]*\\).\\([[0-9]]*\\).\\([[0-9]]*\\)/\\2/' -)
%define gaim_next_major_ver %(echo $((%{gaim_major_ver}+1)))
%define rpmrelease 0
%define real gaimnosd

Summary: OSD plugin for GAIM using XOSD lib
Summary(be_BY.UTF-8): Дадатак для GAIM які выкарыстоўвае бібліятэку XOSD
Name:       gaim-osd
Version:    0.5.1
Release:    alt1
License:    GPL
Group:      Networking/Chat
Url:  http://%real.sourceforge.net

Source:     %real-%version.tar.gz

Requires:      gaim, libxosd
# Automatically added by buildreq on Thu Jan 20 2005
BuildRequires: fontconfig freetype2 gaim-devel gcc-c++ gcc-g77 glib2-devel hostinfo libatk-devel libgtk+2-devel libpango-devel libstdc++-devel libxosd-devel pkgconfig xorg-x11-devel xorg-x11-libs

BuildRequires: pkgconfig, libtool, gaim-devel

%description
a plugin for GAIM to display status changes of the 
users in your contact list on-screen using the
XOSD library.

%description -l be_BY.UTF-8
Дадатак для GAIM які дазваляе адлюстроўваць зьмены стану з дапамогай XOSD.
%prep
%setup -q -n %real-%version

%build
%configure

%__make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

strip $RPM_BUILD_ROOT%{_libdir}/gaim/*.so || :
rm -f $RPM_BUILD_ROOT%{_libdir}/gaim/gaimnosd.la $RPM_BUILD_ROOT%{_libdir}/gaim/gaimnosd.a


%files
%doc README ChangeLog
%{_libdir}/gaim/gaimnosd.so

%changelog
* Thu Jan 20 2005 Vital Khilko <vk@altlinux.ru> 0.5.1-alt1
- initial build for ALT Linux Sisyphus
